Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.sdith
Class SDitHPrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.pqc.crypto.sdith.SDitHPrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

public class SDitHPrivateKeyParameters
extends AsymmetricKeyParameter

SDitH private key, in the same expanded form that the reference KAT files write out (sdith_full_key_t).

Layout: H_a_seed (seedSize) || y (m-k) || s_A (k) || q_poly (d * w/d) || p_poly (d * w/d) The is held alongside the expanded key whenever it is known (after keygen); when reconstructed from a flat encoded blob we have only the expanded data and `getSeed()` returns .

Constructor Summary
`SDitHPrivateKeyParameters(SDitHParameters parameters, byte[] encoded)`
`SDitHPrivateKeyParameters(SDitHParameters parameters, byte[] mSeed, byte[] hASeed, byte[] y, byte[] sA, byte[] qPoly, byte[] pPoly)`

Method Summary
`byte[]` | `getEncoded()`
`byte[]` | `getHASeed()`
`SDitHParameters` | `getParameters()`
`byte[]` | `getPPoly()`
`SDitHPublicKeyParameters` | `getPublicKeyParameters()`
`byte[]` | `getQPoly()`
`byte[]` | `getSA()`
`byte[]` | `getSeed()`
`byte[]` | `getY()`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDitHPrivateKeyParameters

    public SDitHPrivateKeyParameters(SDitHParameters parameters,
                                     byte[] mSeed,
                                     byte[] hASeed,
                                     byte[] y,
                                     byte[] sA,
                                     byte[] qPoly,
                                     byte[] pPoly)

### SDitHPrivateKeyParameters

    public SDitHPrivateKeyParameters(SDitHParameters parameters,
                                     byte[] encoded)

Method Detail

### getParameters

    public SDitHParameters getParameters()

### getEncoded

    public byte[] getEncoded()

### getSeed

    public byte[] getSeed()

### getHASeed

    public byte[] getHASeed()

### getY

    public byte[] getY()

### getSA

    public byte[] getSA()

### getQPoly

    public byte[] getQPoly()

### getPPoly

    public byte[] getPPoly()

### getPublicKeyParameters

    public SDitHPublicKeyParameters getPublicKeyParameters()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD